# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile



-dontwarn okio.**
-dontwarn okhttp3.**
-dontwarn com.androidquery.**
-keep class com.androidquery.** { *;}
-dontwarn com.ss.android.**


#枫岚sdk
-keep class com.maplehaze.** {*;}

#GDT
-keep class com.qq.e.** {
    public protected *;
}
-keep class android.support.v4.**{
    public *;
}
-keep class android.support.v7.**{
    public *;
}



#mi
-keep class com.xiaomi.ad.**{*;}
-keep class com.miui.zeus.**{*;}

#oppo
-keep class com.oppo.** {
public protected *;
}

-keep public class com.cdo.oaps.base.**{ *; }

-keep class okio.**{ *; }

-keep class com.squareup.wire.**{ *; }

-keep public class * extends com.squareup.wire.**{ *; }
# Keep methods with Wire annotations (e.g. @ProtoField)
-keepclassmembers class ** {
 @com.squareup.wire.ProtoField public *;
 @com.squareup.wire.ProtoEnum public *;
}



#京东sdk混淆规则
-keep class com.jd.ad.sdk.** {*;}


#oaid
-keep class com.bun.miitmdid.**{*;}
-keep public class com.netease.nis.sdkwrapper.Utils {*;}
